> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getTimeOffRequest

> The `getTimeOffRequest` API retrieves a time off request from a timeOffRequestId

### Uses:
- Retrieves more granular time off request information, including specific days which the time off hours are spread across to understand staffing requirements for those days
- View a time off request and the current request status before making an update



## OpenAPI

````yaml get /reports/getTimeOffRequest
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getTimeOffRequest:
    get:
      tags: []
      summary: getTimeOffRequest
      description: >-
        The `getTimeOffRequest` API retrieves a time off request from a
        timeOffRequestId


        ### Uses:

        - Retrieves more granular time off request information, including
        specific days which the time off hours are spread across to understand
        staffing requirements for those days

        - View a time off request and the current request status before making
        an update
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                timeOffRequestId:
                  type: string
              required:
                - method
                - timeOffRequestId
            example:
              method: getTimeOffRequest
              timeOffRequestId: 4957449B-E7D7-4848-9D40-BCEB6CEA6595
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  timeOffRequest:
                    type: object
                    properties:
                      companyId:
                        type: string
                      employeeId:
                        type: string
                      timeOffPolicyId:
                        type: string
                      requestApprover:
                        type: string
                      requestHours:
                        type: integer
                      requestStartDate:
                        type: string
                      requestEndDate:
                        type: string
                      requestStatus:
                        type: string
                      timeOffLineItems:
                        type: array
                        items:
                          type: object
                          properties:
                            date:
                              type: string
                            requestHours:
                              type: integer
                          required:
                            - date
                            - requestHours
                    required:
                      - companyId
                      - employeeId
                      - timeOffPolicyId
                      - requestApprover
                      - requestHours
                      - requestStartDate
                      - requestEndDate
                      - requestStatus
                      - timeOffLineItems
                required:
                  - timeOffRequest
              example:
                timeOffRequest:
                  companyId: 21DA3F1A-E593-42EE-95F5-A22EDF6382F0
                  employeeId: 1755E872-9092-4ECE-8386-860531D492D3
                  timeOffPolicyId: 1BD5AB2B-AEEC-46CD-A93B-D1A68FB90C3A
                  requestApprover: 19C51920-62D1-480D-8639-2E0B18BC5661
                  requestHours: 12
                  requestStartDate: '2025-10-30T00:00:00.000'
                  requestEndDate: '2025-11-04T00:00:00.000'
                  requestStatus: Approved
                  timeOffLineItems:
                    - date: '2025-10-31'
                      requestHours: 4
                    - date: '2025-10-30'
                      requestHours: 4
                    - date: '2025-11-03'
                      requestHours: 2
                    - date: '2025-11-02'
                      requestHours: 2
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid timeOffRequestId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````